Subject: bug#59067: 29.0.50; Exexpected overlay order in `overlays-in' return value

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Nov 2022 08:26:01 +0200

> From: Ihor Radchenko <[email-masked]>
> Date: Sun, 06 Nov 2022 03:39:06 +0000
> 
> Some Org tests are failing when testing with the latest Emacs 29 master.
> 
> To reproduce, get the latest Org from git and run make test.
> 
> The common feature of all the failing tests is usage of overlays-in and
> expecting certain order of overlays in its return value. The order is
> changed compared to Emacs 28.
> 
> I consider this an Emacs bug.

I'm not sure we want to keep the old order (which AFAIU was the side
effect of the implementation), nor become committed to a specific
order.  Sorting overlays is a slowdown, and not every application
cares about the order.  The ones that do care can sort the overlays in
the order they want.

Or maybe I'm missing something: can you explain why the order matters
in a couple of specific examples from Org?